Subject: bug#9737: misc/timeout-group: spurious test failure on SLES 10.3 (coreutils 8.14)

From: "Voelker, Bernhard" <[email-masked]>
Date: Fri, 14 Oct 2011 00:27:39 +0200

Pádraig Brady wrote:

> On 10/13/2011 04:58 PM, Voelker, Bernhard wrote:
>> reopen 9737
>> thanks
>> 
>> Pádraig Brady wrote:
>> 
>>> Bah, this is just a racy test I think.
>>> Hopefully the attached fixes it.
>> 
>> Thank you for the patch.
>> 
>> I tried it 16 times:
>> 
>* 14x PASS, execution time real < 0.4s
>> 
>> * 1x test failure (in the 5th run)
>
> So the command exited without receiving SIGINT.
> Or perhaps the touch of the 'received.int' file
> is being done asynch. Anything special about your
> file system?

It's a virtual host on a ESX server farm in our data center.

ecs@mchp320a:~/berny/depot/coreutils-8.14/tests> uname -a
Linux mchp320a 2.6.16.60-0.74.7-smp #1 SMP Fri Nov 26 09:16:10 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

ecs@mchp320a:~/berny/depot/coreutils-8.14/tests> df -h .
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg01-lvol0
                       50G   15G   33G  31% /user

ecs@mchp320a:~/berny/depot/coreutils-8.14/tests> mount | grep /user
/dev/mapper/vg01-lvol0 on /user type ext3 (rw,acl,user_xattr)

>> * 1x the test lasted 20s (in the 16th run)
>
> But this one passed, which means the command
> did receive the SIGINT, but then didn't exit?

Sounds like one error is shadowing another.

> I'm confused, sorry,
> Pádraig.

That's strange, indeed.

I repeated the test with < 0.2 load 100 times:
the run #5, #18, #28, #53, #58 and #71 resulted in FAIL as above,
and the run #24 and #25 PASSed but took 20 seconds,
all other PASSed within <=0.3s.

Have a nice day,
Berny